corinthia-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pmke...@apache.org
Subject [62/63] [abbrv] incubator-corinthia git commit: Add script to extract windows dependencies
Date Tue, 30 Dec 2014 14:45:26 GMT
Add script to extract windows dependencies

This script unzips the archive downloaded by fetch_downloads.sh and puts
the appropriate files in the bin, lib, and include directories.

Some of the library names have been slightly changed in CMakeLists.txt
to match the fact that these scripts use different binary distributions
of the libraries than were used previously.


Project: http://git-wip-us.apache.org/repos/asf/incubator-corinthia/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-corinthia/commit/a480e751
Tree: http://git-wip-us.apache.org/repos/asf/incubator-corinthia/tree/a480e751
Diff: http://git-wip-us.apache.org/repos/asf/incubator-corinthia/diff/a480e751

Branch: refs/heads/stable
Commit: a480e75191efdc8d1639e284500df695b6ece799
Parents: 8da475b
Author: Peter Kelly <peter@uxproductivity.com>
Authored: Tue Dec 30 21:28:32 2014 +0700
Committer: Peter Kelly <peter@uxproductivity.com>
Committed: Tue Dec 30 21:28:32 2014 +0700

----------------------------------------------------------------------
 CMakeLists.txt                |  2 +-
 external/.gitignore           |  2 +-
 external/extract_downloads.sh | 39 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 41 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/a480e751/CMakeLists.txt
----------------------------------------------------------------------
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 274f230..9d1d41a 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -45,7 +45,7 @@ if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
         ${PROJECT_SOURCE_DIR}/external/include)
     set(LIB_DIRS
         ${PROJECT_SOURCE_DIR}/external/lib)
-    set(LIBS ${LIBS} libxml2 zlib libiconv SDL2 SDL2_image)
+    set(LIBS ${LIBS} libxml2 zdll iconv SDL2 SDL2_image)
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4090 /wd4996")
 endif(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
 

http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/a480e751/external/.gitignore
----------------------------------------------------------------------
diff --git a/external/.gitignore b/external/.gitignore
index adc3936..ca1dc4d 100644
--- a/external/.gitignore
+++ b/external/.gitignore
@@ -12,4 +12,4 @@
 bin/
 lib/
 include/
-
+download/

http://git-wip-us.apache.org/repos/asf/incubator-corinthia/blob/a480e751/external/extract_downloads.sh
----------------------------------------------------------------------
diff --git a/external/extract_downloads.sh b/external/extract_downloads.sh
new file mode 100755
index 0000000..cbfbd5f
--- /dev/null
+++ b/external/extract_downloads.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+set -e
+
+mkdir packages
+
+mkdir packages/SDL2
+mkdir packages/SDL2_image
+mkdir packages/iconv
+mkdir packages/libxml2
+mkdir packages/zlib
+
+(cd packages/SDL2 && unzip ../../download/SDL2-devel-2.0.3-VC.zip)
+(cd packages/SDL2_image && unzip ../../download/SDL2_image-devel-2.0.0-VC.zip)
+(cd packages/iconv && unzip ../../download/iconv-1.9.2.win32.zip)
+(cd packages/libxml2 && unzip ../../download/libxml2-2.7.8.win32.zip)
+(cd packages/zlib && unzip ../../download/zlib128-dll.zip)
+chmod -R u+w packages/zlib
+
+mv packages/SDL2/SDL2-2.0.3/include/* include
+mv packages/SDL2/SDL2-2.0.3/lib/x86/*.lib lib
+mv packages/SDL2/SDL2-2.0.3/lib/x86/*.dll bin
+
+mv packages/SDL2_image/SDL2_image-2.0.0/include/* include
+mv packages/SDL2_image/SDL2_image-2.0.0/lib/x86/*.lib lib
+mv packages/SDL2_image/SDL2_image-2.0.0/lib/x86/*.dll bin
+
+mv packages/iconv/iconv-1.9.2.win32/include/* include
+mv packages/iconv/iconv-1.9.2.win32/lib/* lib
+mv packages/iconv/iconv-1.9.2.win32/bin/* bin
+
+mv packages/libxml2/libxml2-2.7.8.win32/include/* include
+mv packages/libxml2/libxml2-2.7.8.win32/lib/* lib
+mv packages/libxml2/libxml2-2.7.8.win32/bin/* bin
+
+mv packages/zlib/include/* include
+mv packages/zlib/lib/* lib
+
+rm -rf packages


Mime
View raw message